<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" indent="yes"/>
<xsl:template match="/">
	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
		<fo:layout-master-set>
			<fo:simple-page-master master-name="TOC" page-height="11in"
				page-width="8.5in" margin=".5in">
				<fo:region-body margin=".5in"/>
				<fo:region-before extent=".5in"/>
			</fo:simple-page-master>
			<fo:simple-page-master master-name="Stories" page-height="11in"
				page-width="8.5in" margin=".5in">
				<fo:region-body margin=".5in"/>
				<fo:region-before extent=".5in"/>
				<fo:region-after extent=".5in"/>
			</fo:simple-page-master>
		</fo:layout-master-set>
		<fo:page-sequence master-reference="TOC">
			<fo:static-content flow-name="xsl-region-before">
				<fo:block border-bottom-width="thin" 
					border-bottom-style="solid" border-bottom-color="green"
					font-weight="bold">
					Table of Contents
				</fo:block>
			</fo:static-content>
			<fo:flow flow-name="xsl-region-body">
				<xsl:apply-templates mode="TOC"/>
			</fo:flow>
		</fo:page-sequence>
		<fo:page-sequence master-reference="Stories">
			<fo:static-content flow-name="xsl-region-before">
				<fo:block border-bottom-width="thin" 
					border-bottom-style="solid" border-bottom-color="green"
					font-weight="bold">
					Story
				</fo:block>
			</fo:static-content>
			<fo:flow flow-name="xsl-region-body">
				<xsl:apply-templates mode="Stories"/>
			</fo:flow>
		</fo:page-sequence>
	</fo:root>
</xsl:template>
<xsl:template match="body/div/h2" mode="TOC">
	<fo:block font-weight="bold" font-size="larger">
		<fo:basic-link internal-destination="{generate-id(.)}">
			<xsl:value-of select="."/>
		</fo:basic-link>
	</fo:block>
</xsl:template>
<xsl:template match="body/div/h2" mode="Stories">
	<fo:block font-weight="bold" font-size="larger" 
		id="{generate-id(.)}" break-before="page">
		<xsl:value-of select="."/>
	</fo:block>
</xsl:template>
<xsl:template match="body/div/p" mode="Stories">
	<fo:block margin-top="12pt">
		<xsl:apply-templates mode="Stories"/>
	</fo:block>
</xsl:template>
<xsl:template match="head | h1 | a | p" mode="TOC"/>
<xsl:template match="head | h1 | a" mode="Stories"/>
</xsl:stylesheet>